## GODataMatrix

GODataMatrix

## Synopsis

                        GODataMatrix;
                        GODataMatrixVal;
                        GODataMatrixSize;

    GODataMatrixSize    go_data_matrix_get_size             (GODataMatrix *mat);
    double*             go_data_matrix_get_values           (GODataMatrix *mat);
    double              go_data_matrix_get_value            (GODataMatrix *mat,
                                                             unsigned i,
                                                             unsigned j);
    char*               go_data_matrix_get_str              (GODataMatrix *mat,
                                                             unsigned i,
                                                             unsigned j);
    void                go_data_matrix_get_minmax           (GODataMatrix *mat,
                                                             double *min,
                                                             double *max);

    GOData*             go_data_matrix_val_new              (double *val,
                                                             unsigned rows,
                                                             unsigned columns,
                                                             GDestroyNotify notify);

## Object Hierarchy

      GObject
       +----GOData
             +----GODataMatrix
                   +----GODataMatrixVal

      GObject
       +----GOData
             +----GODataMatrix
                   +----GODataMatrixVal

## Description

## Details

### GODataMatrix

    typedef struct _GODataMatrix GODataMatrix;

### GODataMatrixVal

    typedef struct _GODataMatrixVal GODataMatrixVal;

### GODataMatrixSize

    typedef struct {
    	int rows;	/* negative if dirty, includes missing values */
    	int columns;	/* negative if dirty, includes missing values */
    } GODataMatrixSize;

### go_data_matrix_get_size ()

    GODataMatrixSize    go_data_matrix_get_size             (GODataMatrix *mat);

`mat` : |
Returns : |

### go_data_matrix_get_values ()

    double*             go_data_matrix_get_values           (GODataMatrix *mat);

`mat` : |
Returns : |

### go_data_matrix_get_value ()

    double              go_data_matrix_get_value            (GODataMatrix *mat,
                                                             unsigned i,
                                                             unsigned j);

`mat` : |
`i` : |
`j` : |
Returns : |

### go_data_matrix_get_str ()

    char*               go_data_matrix_get_str              (GODataMatrix *mat,
                                                             unsigned i,
                                                             unsigned j);

`mat` : |
`i` : |
`j` : |
Returns : |

### go_data_matrix_get_minmax ()

    void                go_data_matrix_get_minmax           (GODataMatrix *mat,
                                                             double *min,
                                                             double *max);

`mat` : |
`min` : |
`max` : |

### go_data_matrix_val_new ()

    GOData*             go_data_matrix_val_new              (double *val,
                                                             unsigned rows,
                                                             unsigned columns,
                                                             GDestroyNotify notify);

`val` : |
`rows` : |
`columns` : |
`notify` : |
Returns : |